package com.fs.hisStore.service;

import java.util.List;

import com.fs.hisStore.domain.FsUserScrm;
import com.fs.hisStore.domain.FsUserSignScrm;
import com.fs.hisStore.param.FsUserSignQueryParam;

/**
 * 签到记录Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsUserSignScrmService 
{
    /**
     * 查询签到记录
     * 
     * @param int 签到记录ID
     * @return 签到记录
     */
    public FsUserSignScrm selectFsUserSignById(Long id);

    /**
     * 查询签到记录列表
     * 
     * @param fsUserSign 签到记录
     * @return 签到记录集合
     */
    public List<FsUserSignScrm> selectFsUserSignList(FsUserSignScrm fsUserSign);

    /**
     * 新增签到记录
     * 
     * @param fsUserSign 签到记录
     * @return 结果
     */
    public int insertFsUserSign(FsUserSignScrm fsUserSign);

    /**
     * 修改签到记录
     * 
     * @param fsUserSign 签到记录
     * @return 结果
     */
    public int updateFsUserSign(FsUserSignScrm fsUserSign);

    /**
     * 批量删除签到记录
     * 
     * @param ints 需要删除的签到记录ID
     * @return 结果
     */
    public int deleteFsUserSignByIds(Long[] ids);

    /**
     * 删除签到记录信息
     * 
     * @param int 签到记录ID
     * @return 结果
     */
    public int deleteFsUserSignById(Long id);

    Long sign(FsUserScrm user);

    List<FsUserSignScrm> selectFsUserSignListQuery(FsUserSignQueryParam param);

    Long getSign(FsUserScrm user);

    Boolean isDaySign(FsUserScrm user);
}
